FROM openresty/openresty:1.27.1.2-0-bookworm-buildpack

WORKDIR /opt/app

RUN apt-get update && apt-get install -y python3-pygments pandoc lua-inotify
RUN luarocks install sitegen
RUN luarocks install inotify INOTIFY_INCDIR=/usr/include/x86_64-linux-gnu/

CMD ["sh", "-c", "openresty -p `pwd` -g 'daemon off;'"]
# CMD ["openresty", "-p", "/opt/app", "-g", "daemon off;"]
